Subject: Re: Linux on Virtex board with ARCH=powerpc

From: Peter Korsgaard <[email-masked]>
Date: Fri, 27 Jun 2008 20:14:35 +0200

>>>>> "Peter" == Peter Mendham <[email-masked]> writes:

Hi,

 Peter> I now have a new and rather bizarre problem, which maybe you
 Peter> or someone else has met before.  I have a simple FPGA design
 Peter> with memory, a sysace and a uart16550 on an ML405 (I've put my
 Peter> hardware to one side for the moment).  It works just fine.  If
 Peter> I swap the uart16550 for a uartlite (remaking the kernel with
 Peter> the correct device tree) I see all the boot messages and the
 Peter> kernel seems to start OK, the root partition is mounted but
 Peter> then I see nothing from /sbin/init.  This is the same root fs
 Peter> that I was using with the uart16550 example I just mentioned.

Did you remember to change your inittab to use /dev/ttyUL0?

-- 
Bye, Peter Korsgaard